Subject: bug#40648: closed (Re: [bug#40648] [PATCH] Add subsections to the Binary Installation section)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Apr 2020 11:28:02 +0000

Your bug report

#40648: [PATCH] Add subsections to the Binary Installation section

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40648: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40648
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40648] [PATCH] Add subsections to the Binary Installation section
From: Ludovic Courtès <[email-masked]>
To: Steven vanZyl <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Apr 2020 13:27:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Steven vanZyl <[email-masked]> skribis:

> Break the Binary Installation section of the manual into two
> subsections: Installation Script, and Manual Installation. With an
> example for the Installation Script.
>
> This serves to highlight the existence of the installation script as
> the recommended way of installing Guix and provide an example of its
> usage for users.
>
> Additionally altered an example systemd command in the Manual
> Installation section to turn two commands into one by using the --now
> flag instead of calling start then enable.

Good ideas.  I pushed a variant of your patch as
40c6b1802cf014d5a747310606285e52ee3e3d3e.

Thanks!

Ludo’.

Subject: [PATCH] Add subsections to the Binary Installation section
From: Steven vanZyl <[email-masked]>
To: [email-masked]
Cc: Steven vanZyl <[email-masked]>
Date: Wed, 15 Apr 2020 15:52:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Break the Binary Installation section of the manual into two
subsections: Installation Script, and Manual Installation. With an
example for the Installation Script.

This serves to highlight the existence of the installation script as
the recommended way of installing Guix and provide an example of its
usage for users.

Additionally altered an example systemd command in the Manual
Installation section to turn two commands into one by using the --now
flag instead of calling start then enable.

Signed-off-by: Steven vanZyl <[email-masked]>
---
This is my first patch submission to Guix so I am rather new at this.
If I have made any mistakes please let me know and I will endeavor to
correct them as soon as possible.

 doc/guix.texi | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index ef5f68db24..8490977bd9 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -77,6 +77,7 @@ Copyright @copyright{} 2020 Jakub Kądziołka@*
 Copyright @copyright{} 2020 Jack Hill@*
 Copyright @copyright{} 2020 Naga Malleswari@*
 Copyright @copyright{} 2020 Brice Waegeneire@*
+Copyright @copyright{} 2020 Steven vanZyl@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -542,13 +543,25 @@ is described in the next sections.  The only requirement is to have
 GNU@tie{}tar and Xz.
 
 @c Note duplicated from the ``Installation'' node.
-@quotation Note
+@subsection Installation Script
+
 We recommend the use of this
 @uref{https://git.savannah.gnu.org/cgit/guix.git/plain/etc/guix-install.sh,
 shell installer script}.  The script automates the download, installation, and
 initial configuration steps described below.  It should be run as the root
 user.
-@end quotation
+
+@example
+# cd /tmp/
+# wget https://git.savannah.gnu.org/cgit/guix.git/plain/etc/guix-install.sh
+# chmod +x guix-install.sh
+# ./guix-install.sh
+@end example
+
+The script will then proceede to download and install GNU Guix,
+occasionally prompting you for confirmation of settings.
+
+@subsection Manual Installation
 
 Installing goes along these lines:
 
@@ -651,7 +664,7 @@ with these commands:
 @example
 # cp ~root/.config/guix/current/lib/systemd/system/guix-daemon.service \
      /etc/systemd/system/
-# systemctl start guix-daemon && systemctl enable guix-daemon
+# systemctl enable --now guix-daemon
 @end example
 
 If your host distro uses the Upstart init system:
-- 
2.26.0